
#!/bin/sh

. ./settings.sh

#
# Service configuration
#

S_ENABLED=no
S_NAME="smbd"
S_PACKAGES="samba"

fservice $S_ENABLED $1 $S_NAME $S_PACKAGES

case $1 in

  init)
    echo "  create smb.conf ..."
    cat ${D_ROOTDIR}/resrc.d/service_smb.conf.txt | sed "s#__D_TFTP__#$D_TFTP#g" > /etc/samba/smb.conf
  ;;

esac
